from kivy.core.audio import SoundLoader


class AudioManager:
    def __init__(self):
        self.sounds = {'bullet': SoundLoader.load('sfx/bullet.mp3'),
                       'click': SoundLoader.load('sfx/click.mp3'),
                       'powerup': SoundLoader.load('sfx/powerup.mp3'),
                       'powerdown': SoundLoader.load('sfx/powerdown.mp3')}

        self.songs = {'game_song': SoundLoader.load('sfx/game_song.mp3'),
                      'menu_song': SoundLoader.load('sfx/menu_song.mp3')}
        for s in self.songs.itervalues():
            s.loop = True

        self.songs['game_song'].volume = .7
        self.sounds['powerup'].volume = .2
        self.sounds['powerdown'].volume = .2

        self.current_song = None

    def play_sound(self, sound_name):
        self.sounds[sound_name].play()

    def play_song(self, song_name):
        if self.current_song is not None:
            self.current_song.stop()
        self.current_song = self.songs[song_name]
        self.current_song.play()
